from django.urls import path
from django.views.decorators.csrf import csrf_exempt

from .view import GetClubConfigView, GetCrossOrderListView, PartnerGetOrderDataView, PartnerRefundNotifyView, \
    CrossPlatformRefundView, GetCrossOrderDetailView, CrossPlatformForceCompleteView, CrossPlatformTransferHallView, \
    PartnerTransferHallNotifyView, GetSettingsView, UpdateSettingsView, GetMappingsView, UpdateMappingsView, \
    PartnerUpdateSelfConfigView, GetPartnerClubsView, GetStatsView, PunishDashouView, PartnerPunishNotifyView, \
    GetClubConfigForPreSettlementView, PreSettlementActionView, GetPreSettlementDataView, GetRolePermissionView, \
    ModifyRolePermissionView, AddRoleView, GetAdminRolesView, GetAdminUserListView, AddAdminUserView, \
    ModifyAdminUserView, KefuGetDashouListView, KefuGetDashouDetailView, KefuUpdateDashouView, KefuGetShangjiaListView, \
    KefuGetShangjiaDetailView, KefuUpdateShangjiaView, GetProductBaseDataView, GetProductListView, SaveProductOrderView, \
    AddProductView, DeleteProductView, GetProductDetailView, UpdateProductView, UpdateMemberView, GetMemberListView, \
    AddMemberView, GetGuanliListView, GetGuanliDetailView, UpdateGuanliView, GetWithdrawSettingsView, \
    UpdateWithdrawSettingsView, GetZuzhangListView, GetZuzhangDetailView, UpdateZuzhangView, GetProductTypeZoneView, \
    ModifyProductTypeZoneView, GetRateView, ModifyRateView, PopupNoticeListAPIView, PopupNoticeModifyAPIView, \
    ShopListView, ShopModifyView, ShopPublicTypeAndAuditView, ShopListForProductView, ShopProductModifyView, \
    ShopProductTypeMappingView, ProductListView, ProductModifyView, KefuChatPermissionsView, PartnerFineNotifyView, \
    FineApplyView, FaKuanTongJiView, FaKuanLieBiaoView, FaKuanChuLiView, FaKuanChuangJianView, HqbkxxView, BkxgView, \
    CaiwuView, CwhybkhqView, HybkjtsjView, SzxxView, CwddhqlxView, CwhqjtddsjView, CwqtczhqView, KhpzhqView, ChzsgcView, \
    KhgglView, ShgxgsjView, ZxkfghdsView, KptxwztjbView

urlpatterns = [

    path('kpthq', GetClubConfigView.as_view(), name='跨平台订单页面获取俱乐部数据'),
    path('hqddlb', GetCrossOrderListView.as_view(), name='获取跨平台订单'),
    path('kpthqtp',csrf_exempt(PartnerGetOrderDataView.as_view()), name='跨平台接受对方服务器获取订单数据'),
    # 对方平台退款通知接口
    path('dfddtk', csrf_exempt(PartnerRefundNotifyView.as_view()), name='跨平台接受对方服务器更新订单状态'),
    path('kptk', CrossPlatformRefundView.as_view(), name='跨平台订单退款'),
    path('hqkptddxq', GetCrossOrderDetailView.as_view(), name='获取跨平台订单数据详情'),
    path('kpqzjd', CrossPlatformForceCompleteView.as_view(), name='跨平台订单结算'),
    path('kpzydt', CrossPlatformTransferHallView.as_view(), name='跨平台转移大厅'),
    path('kpttzzydt', csrf_exempt(PartnerTransferHallNotifyView.as_view()), name='跨平台接受对方转移大厅通知'),
    path('hqkptsz', GetSettingsView.as_view(), name='获取俱乐部数据信息'),
    path('xgjlbsj', UpdateSettingsView.as_view(), name='更新俱乐部数据信息'),
    path('hqqtjlbsj', GetMappingsView.as_view(), name='获取俱乐部订单类型映射'),
    path('xgdfddys', UpdateMappingsView.as_view(), name='工薪俱乐部订单类型映射'),
    path('xgzjsjcs', csrf_exempt(PartnerUpdateSelfConfigView.as_view()), name='partner_update_self_config'),
    path('kpthqpt', GetPartnerClubsView.as_view(), name='前端获取俱乐部数据展示派发数据'),
    path('hqpfsj', GetStatsView.as_view(), name='前端派发统计表获取'),
    path('kpcf', PunishDashouView.as_view(), name='跨平台处罚打手'),
    path('kptcfds', PartnerPunishNotifyView.as_view(), name='接受跨平台对方平台处罚申请'),
    path('hqkttjsyjs', GetClubConfigForPreSettlementView.as_view(), name='预处理获取俱乐部数据'),
    path('hqyjssj', GetPreSettlementDataView.as_view(), name='获取预处理数据'),
    path('yjsjjhdk', PreSettlementActionView.as_view(), name='操作预处理'),

    path('gljshq', GetRolePermissionView.as_view(), name='获取就角色信息'),
    path('sctjjsnr', ModifyRolePermissionView.as_view(), name='修改角色数据'),
    path('tjjs', AddRoleView.as_view(), name='添加角色'),

    path('hqyhjsgl', GetAdminRolesView.as_view(), name='管理用户页面获取用户角色'),
    path('hqjsyhsj', GetAdminUserListView.as_view(), name='管理用户页面获取用户数据'),
    path('xghtyhsj', ModifyAdminUserView.as_view(), name='管理用户页面修改用户数据'),
    path('tjyhjs', AddAdminUserView.as_view(), name='管理用户页面添加用户'),
    path('kefuhqdslb', KefuGetDashouListView.as_view(), name='客服获取打手数据'),
    path('kefuhqdsxq', KefuGetDashouDetailView.as_view(), name='客服获取打手具体信息'),
    path('kefuxgds', KefuUpdateDashouView.as_view(), name='客服修改打手数据'),
    path('hqsjgllb', KefuGetShangjiaListView.as_view(), name='后台获取商家列表'),
    path('hthqsjxq', KefuGetShangjiaDetailView.as_view(), name='后台获取商家详情'),
    path('xgsjxx', KefuUpdateShangjiaView.as_view(), name='后台修改商家数据'),

    path('htsphqjcsx', GetProductBaseDataView.as_view(), name='后台获取商品类型专区'),
    path('hthqsplb', GetProductListView.as_view(), name='后台获取商品数据'),
    path('htsppaixu', SaveProductOrderView.as_view(), name='后台修改商品类型排序'),
    path('htfbsp', AddProductView.as_view(), name='后台添加商品'),
    path('htscsp', DeleteProductView.as_view(), name='后台删除商品'),
    path('htsphqxq', GetProductDetailView.as_view(), name='后台获取商品详情'),
    path('bcspxg', UpdateProductView.as_view(), name='后台更新商品数据'),

    path('hthqhylb', GetMemberListView.as_view(), name='后台获取会员列表'),
    path('htxghyxx', UpdateMemberView.as_view(), name='后台更新会员信息'),
    path('httjhy', AddMemberView.as_view(), name='后台添加会员'),
    path('hthqgslb', GetGuanliListView.as_view(), name='后台获取管事列表'),

    path('hthqgsxq', GetGuanliDetailView.as_view(), name='后台获取管事详情信息'),
    path('htxggsxx', UpdateGuanliView.as_view(), name='后台更新管事数据'),
    path('hthqtxpz', GetWithdrawSettingsView.as_view(), name='后台获取提现配置'),
    path('htxgtxsz', UpdateWithdrawSettingsView.as_view(), name='后台修改提现配置'),
    path('hthqzzlb', GetZuzhangListView.as_view(), name='后台获取组长列表'),
    path('hthqzzxq', GetZuzhangDetailView.as_view(), name='后台获取组长详情页面'),
    path('htxgzzxx', UpdateZuzhangView.as_view(), name='后台修改组长信息'),


    path('hthqsplxzq', GetProductTypeZoneView.as_view(), name='后台获取商品类型专区'),
    path('htxgsplx', ModifyProductTypeZoneView.as_view(), name='后台修改添加商品类型专区'),
    path('hthqfhpz', GetRateView.as_view(), name='后台获取费率'),
    path('htxgfl', ModifyRateView.as_view(), name='后台修改费率'),
    path('hthqtcxx', PopupNoticeListAPIView.as_view(), name='后台获取弹窗配置'),
    path('htxgtcxx', PopupNoticeModifyAPIView.as_view(), name='后台更新创建弹窗配置'),

    path('hqdplbsj', ShopListView.as_view(), name='获取店铺列表数据'),
    path('xgdpxx', ShopModifyView.as_view(), name='修改或添加店铺数据'),


    path('htdphqsplx',   ShopPublicTypeAndAuditView.as_view(), name='后台获取店铺公共商品类型，默认审核配置'),
    path('htdphqdpys',   ShopListForProductView.as_view(), name='后台获取商品店铺'),
    path('htdphqyssplx', ShopProductTypeMappingView.as_view(), name='后台获取商品店铺类型'),
    path('htxgdpsplx',   ShopProductModifyView.as_view(), name='后台修改店铺商品类型和默认审核模式'),
    path('hqhtdpsplx', ProductListView.as_view(), name='后台获取店铺商品数据'),
    path('htxgdpspsj', ProductModifyView.as_view(), name='后台修改店铺商品数据'),

   path('kfhqltqx', KefuChatPermissionsView.as_view(), name='后台获取客服聊天配置'),

    path('kffkdssq', FineApplyView.as_view(), name='跨平台处罚罚款申请接口'),
    path('kffkdssq_notify', PartnerFineNotifyView.as_view(), name='跨屏要对方平台处罚通知接口'),

    path('htglyhqcfsltj', FaKuanTongJiView.as_view(),name='后台罚单统计图片'),  # 罚款统计
    path('hthqfklb', FaKuanLieBiaoView.as_view(),name='后台罚单列表'),       # 罚款列表
    path('glyclfk', FaKuanChuLiView.as_view(),name='后台罚单操作'),          # 处理罚款
    path('htfksc', FaKuanChuangJianView.as_view(),name='后台生成罚单'),      # 创建罚款

    path('hqbkxx', HqbkxxView.as_view(), name='获取板块数据'),   # 获取板块数据
    path('bkxg', BkxgView.as_view(), name='板块增删改查'),         # 板块增删改

   path('caiwu', CaiwuView.as_view(), name='财务页面基础数据'),

    path('cwhybkhq', CwhybkhqView.as_view(), name='财务会员模块'),
    path('hybkjtsj', HybkjtsjView.as_view(), name='财务会员统计'),
    path('szxx', SzxxView.as_view(), name='详细收支记录'),
    path('cwddhqlx', CwddhqlxView.as_view(), name='后台财务获取订单类型'),
    path('cwhqjtddsj', CwhqjtddsjView.as_view(), name='后台财务获取订单数据'),
# urls.py
    path('cwqtczhq', CwqtczhqView.as_view(), name='财务获取其他充值统计'),

    path('khpzhq', KhpzhqView.as_view(), name='后台获取称号配置'),
    path('chzsgc', ChzsgcView.as_view(), name='后台对称号增删改查'),
    path('khggl', KhgglView.as_view(), name='获取考核管信息'),
    path('shgxgsj', ShgxgsjView.as_view(), name='修改考核管数据'),
    path('zxkfghds', ZxkfghdsView.as_view(), name='链接换打手或重新下单'),

    path('kptxwztjb', csrf_exempt(KptxwztjbView.as_view()), name='跨平台脚本询问订单状态'),


]